Description

the power off / on button don't change from "Power off" to "Power on" or the other direction, and the status message says only "# is

running",

the vm is also not turned off/on

History

#1 - 06/24/2012 09:15 AM - Amos Benari

Please specify the compute type you are using (oVirt, Libvirt) ?

#2 - 06/24/2012 09:19 AM - Florian Koch

i use libvirt

#3 - 06/25/2012 08:18 AM - Romain Vrignaud

The power off button with libvirt is sending an ACPI call to power off.

This is not a force shutdown. Maybe when you tried to shutdown your host,

your environement didn't support the ACPI call ?

#4 - 06/25/2012 01:15 PM - Florian Koch

The power off button with libvirt is sending an ACPI call to power off.

This is not a force shutdown. Maybe when you tried to shutdown your host,

your environement didn't support the ACPI call ?

 How can i check this?

#5 - 06/25/2012 10:16 PM - Corey Osman

what version of libvirt are you running?

What kind of guest are you shutting down (OS and version)?

What hypervisor are you using (type and version)?

#6 - 06/26/2012 12:54 AM - Florian Koch

what version of libvirt are you running?

libvirt-0.9.4-23.el6_2.8.x86_64

 What kind of guest are you shutting down (OS and version)?

ScientificLinux 6.2

 What hypervisor are you using (type and version)?

modinfo kvm

filename:       /lib/modules/2.6.32-220.17.1.el6.x86_64/kernel/arch/x86/kvm/kvm.ko

license:        GPL

author:         Qumranet
srcversion:     751DADC01A73A8B06495F05

depends:        

vermagic:       2.6.32-220.17.1.el6.x86_64 SMP mod_unload modversions 

parm:           oos_shadow:bool

parm:           ignore_msrs:bool

parm:           allow_unsafe_assigned_interrupts:Enable device assignment on platforms without interrupt remap

ping support. (bool)

#7 - 06/27/2012 02:07 AM - Ohad Levy

does this mean we should default to force shutdown? offer two options etc?

#8 - 06/28/2012 03:51 AM - Ohad Levy

- Status changed from New to Feedback

- Target version deleted (1.0)

#9 - 07/05/2012 05:29 AM - Romain Vrignaud

I think that we should offer two button (like virt-manager offers 'Shut Down' and 'Force Off').

Force off as default behavior is really not a good idea IMHO.

#10 - 02/08/2013 04:20 AM - Mikael Fridh

Ohad Levy wrote:

does this mean we should default to force shutdown? offer two options etc?

 I think it makes sense to offer two options.

Was a bit surprised that "Power Off" wasn't working and was trying to figure out why an libvirt VM didn't power off (it was not done provisioning so did

not have acpi in OS).

Maybe could be nice to offer few options from the host view page - S5 (I think?) power off, Pause (suspend), Resume, Ctrl-alt-delete? Perhaps make

the same click icon there is now also serve as a hover drop-down. Jeje, I shouldn't say too much - I'm no UI guy.

#11 - 08/20/2014 03:13 AM - Ohad Levy

- Assignee deleted (Amos Benari)
